package com.yfd.platform.uavsystem.base;

import lombok.Data;

@Data
public class BaseResponse<T> {

    /**
     * 返回码
     */
    private Integer code;

    /**
     * 返回状态
     */
    private String status;

    /**
     * 消息
     */
    private String msg;
    /**
     * 返回
     */
    private T data;


    public BaseResponse() {

    }

    public BaseResponse(Integer code, String msg, T data) {
        super();
        this.code = code;
        this.msg = msg;
        this.data = data;
    }


    public BaseResponse(String status, String msg, T data) {
        super();
        this.status = status;
        this.msg = msg;
        this.data = data;
    }


}
